# Star-CliPpeR

This library clips triangulated 2D meshes against 2D polygons. Two clipping
operations between the mesh and the clipping region are provided: the
subtraction and the intersection. The former removes the clipping region from
the original mesh while the latter keeps only the mesh part that intersects the
clipping polygon.

## How to build

The library uses [CMake](http://www.cmake.org) and the
[RCMake](https://gitlab.com/vaplv/rcmake/#tab-readme) package to build. It also
depends on the
[Clipper](http://www.angusj.com/delphi/clipper.php),
[Polygon](https://gitlab.Com/vaplv/polygon/#tab-readme) and
[RSys](https://gitlab.com/vaplv/rsys/#tab-readme) libraries.

First ensure that CMake is installed on your system. Then install the RCMake
package as well as all the aforementioned prerequisites. Then generate the
project from the `cmake/CMakeLists.txt` file by appending to the
`CMAKE_PREFIX_PATH` variable the install directories of its dependencies.

## Release notes

### Version 0.1.3

- Sets the CMake minimum version to 3.1: since CMake 3.20, version 2.8 has
  become obsolete.
- Fix compilation warnings detected by gcc 11.

### Version 0.1.2

Update CMake module of the Clipper library: on GNU/Linux, make optional the
debug version of the library.

### Version 0.1.1

Update the version of the RSys dependency to 0.6: replace the deprecated
`[N]CHECK` macros by the new macro `CHK`.

## License

Copyright (C) 2016-2018, 2021 |Meso|Star> (<contact@meso-star.com>). 
Star-CliPpeR is free software released under the GPL v3+ license: GNU GPL
version 3 or later. You are welcome to redistribute it under certain
conditions; refer to the COPYING file for details.
